Skip to content

Services

All operations require authentication.

18 operationsv1/email/domain
Agent setup

List MX Plan domainsProduction

GET
/1.0/email/domain

List MX Plan domains. Returns the domains of the account with an MX Plan email service. Filter them by IAM tags with iamTags.

Query parameters

iamTags
object

Filter resources on IAM tags

Response

200string[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/email/domain \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get the email domainProduction

GET
/1.0/email/domain/{domain}

Get the email domain. Returns the status, offer, creation date, linked service and allowed account sizes of the email domain, with the results of its MX and SPF checks.

Path parameters

domain
required
string

Name of your domain name

Response

200DomainServiceWithIAMsuccessful operation
allowedAccountSize
read-only
integer[]

List of allowed sizes for this domain in bytes

creationDate
read-only
stringdate-time

Creation date of domain

domain
read-only
string

Name of domain

filerz
read-only
integer

Filerz of domain

iam
read-only
ResourceMetadata

IAM resource metadata

isMXValid
read-only
DiagnoseEnum

Result of MX check if current MX fit to OVH recommendations

ValuescheckFailinvalidnoneunknownvalid
isSPFValid
read-only
DiagnoseEnum

Result of SPF check if current SPF fit to OVH recommendations

ValuescheckFailinvalidnoneunknownvalid
linkTo
read-only
string

Name of servicelinked with this domain

migratedMXPlanServiceName
read-only
string

Name of new MXPlan service

offer
read-only
string

Offer of email service

status
read-only
DomainStatusEnum

Domain Status

ValuescloseokreadOnlyunknown

Example uses domain = string

$ curl https://api.eu.ovhcloud.com/1.0/email/domain/{domain} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "allowedAccountSize": [ 0 ], "creationDate": "2024-01-01T12:00:00Z", "domain": "string", "filerz": 0, "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "isMXValid": "checkFail", "isSPFValid": "checkFail", "linkTo": "string", "migratedMXPlanServiceName": "string", "offer": "string", "status": "close"}

List redirectionsProduction

GET
/1.0/email/domain/{domain}/redirection

List redirections. Returns the IDs of the redirections of the domain. Filter them by from or to address.

Path parameters

domain
required
string

Name of your domain name

Query parameters

from
string

Name of redirection

to
string

Email of redirection target

Response

200string[]successful operation

Example uses domain = string

$ curl https://api.eu.ovhcloud.com/1.0/email/domain/{domain}/redirection \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a redirectionProduction

GET
/1.0/email/domain/{domain}/redirection/{id}

Path parameters

domain
required
string

Name of your domain name

id
required
string
—

Response

200RedirectionGlobalsuccessful operation
from
read-only
string
—
id
read-only
string
—
to
read-only
string
—

Example uses domain = string, id = string

$ curl https://api.eu.ovhcloud.com/1.0/email/domain/{domain}/redirection/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "from": "string", "id": "string", "to": "string"}

List redirection tasksProduction

GET
/1.0/email/domain/{domain}/task/redirection

List redirection tasks. Returns the IDs of the pending redirection tasks of the domain. Filter them by account.

Path parameters

domain
required
string

Name of your domain name

Query parameters

account
string

Account name

Response

200integer[]successful operation

Example uses domain = string

$ curl https://api.eu.ovhcloud.com/1.0/email/domain/{domain}/task/redirection \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a responder or redirection taskProduction

GET
/1.0/email/domain/{domain}/task/redirection/{id}

Get a responder or redirection task. Returns the account, type, action and creation date of the task.

Path parameters

domain
required
string

Name of your domain name

id
required
integer

Id of task

Response

200TaskSpecialAccountsuccessful operation
account
read-only
string

Account name of task

action
read-only
DomainSpecialAccountActionEnum

Action of task

Valuesaddchangedelete
date
read-only
stringdate-time

Creation date of task

domain
read-only
string

Domain name of task

id
read-only
integer

Id of task

type
read-only
DomainSpecialAccountTypeEnum

Type of action filter

Values25galiasdeletefilterforwardresponder

Example uses domain = string, id = 0

$ curl https://api.eu.ovhcloud.com/1.0/email/domain/{domain}/task/redirection/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "account": "string", "action": "add", "date": "2024-01-01T12:00:00Z", "domain": "string", "id": 0, "type": "25g"}

List ACLsProduction

GET
/1.0/email/domain/{domain}/acl

List ACLs. Returns the OVHcloud account IDs (accountId) that have been given access to the email service of the domain.

Path parameters

domain
required
string

Name of your domain name

Response

200string[]successful operation

Example uses domain = string

$ curl https://api.eu.ovhcloud.com/1.0/email/domain/{domain}/acl \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get an ACLProduction

GET
/1.0/email/domain/{domain}/acl/{accountId}

Get an ACL. Returns the OVHcloud account ID (accountId) that has been given access to the email service of the domain.

Path parameters

accountId
required
string

OVH customer unique identifier

domain
required
string

Name of your domain name

Response

200Aclsuccessful operation
accountId
read-only
string

OVH customer unique identifier

Example uses accountId = string, domain = string

$ curl https://api.eu.ovhcloud.com/1.0/email/domain/{domain}/acl/{accountId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "accountId": "string"}

Add an ACLProduction

POST
/1.0/email/domain/{domain}/acl

Add an ACL. Gives the OVHcloud account accountId full management of the email domain, and returns the ACL.

Path parameters

domain
required
string

Name of your domain name

Request body (required)

accountId
required
string

Deleguates rights to

Response

200Aclsuccessful operation
accountId
read-only
string

OVH customer unique identifier

Example uses domain = string

$ curl https://api.eu.ovhcloud.com/1.0/email/domain/{domain}/acl \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "accountId": "string"}

Remove an ACLProduction

DELETE
/1.0/email/domain/{domain}/acl/{accountId}

Remove an ACL. Withdraws from the OVHcloud account the access to the email service of the domain that it had been given.

Path parameters

accountId
required
string

OVH customer unique identifier

domain
required
string

Name of your domain name

Response

200—successful operation

Example uses accountId = string, domain = string

$ curl https://api.eu.ovhcloud.com/1.0/email/domain/{domain}/acl/{accountId} \
  -H "authorization: Bearer $OVH_TOKEN"

Change service contactsProduction

POST
/1.0/email/domain/{domain}/changeContact

Change service contacts. Starts a procedure to change the admin, tech or billing contact of the service.

Path parameters

domain
required
string

Name of your domain name

Request body (required)

contactAdmin
string

The contact to set as admin contact

contactBilling
string

The contact to set as billing contact

contactTech
string

The contact to set as tech contact

Response

200integer[]successful operation

Example uses domain = string

$ curl https://api.eu.ovhcloud.com/1.0/email/domain/{domain}/changeContact \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Confirm service terminationProduction

POST
/1.0/email/domain/{domain}/confirmTermination

Confirm service termination. Terminates the email service with the termination token. A reason and a comment can be given.

Path parameters

domain
required
string

Name of your domain name

Request body (required)

commentary
string

Commentary about your termination request

reason
TerminationReasonEnum

Reason of your termination request

ValuesFEATURES_DONT_SUIT_MELACK_OF_PERFORMANCESMIGRATED_TO_ANOTHER_OVH_PRODUCTMIGRATED_TO_COMPETITORNOT_ENOUGH_RECOGNITIONNOT_NEEDED_ANYMORENOT_RELIABLENO_ANSWEROTHERPRODUCT_DIMENSION_DONT_SUIT_MEPRODUCT_TOOLS_DONT_SUIT_METOO_EXPENSIVETOO_HARD_TO_USEUNSATIFIED_BY_CUSTOMER_SUPPORT
token
required
string

The termination token sent by mail to the admin contact

Response

200stringsuccessful operation

Example uses domain = string

$ curl https://api.eu.ovhcloud.com/1.0/email/domain/{domain}/confirmTermination \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Migrate V3 delegationsProduction

POST
/1.0/email/domain/{domain}/migrateDelegationV3toV6

Migrate V3 delegations. Converts the delegations of the domain made with the former delegation system (V3) to the current one (V6).

Path parameters

domain
required
string

Name of your domain name

Response

200—successful operation

Example uses domain = string

$ curl https://api.eu.ovhcloud.com/1.0/email/domain/{domain}/migrateDelegationV3toV6 \
  -H "authorization: Bearer $OVH_TOKEN"

Get the quotasProduction

GET
/1.0/email/domain/{domain}/quota

Get the quotas. Returns the maximum number of email accounts, aliases, mailing lists, redirections and responders of the email domain.

Path parameters

domain
required
string

Name of your domain name

Response

200DomainQuotasuccessful operation
account
integer

Maximum number of mailboxes

alias
integer

Maximum number of aliases

mailingList
integer

Maximum number of mailing lists

redirection
integer

Maximum number of redirections

responder
integer

Maximum number of responders

Example uses domain = string

$ curl https://api.eu.ovhcloud.com/1.0/email/domain/{domain}/quota \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "account": 0, "alias": 0, "mailingList": 0, "redirection": 0, "responder": 0}

Get service informationProduction

GET
/1.0/email/domain/{domain}/serviceInfos

Get service information. Returns the status, creation and expiration dates, contacts and renewal settings of the service.

Path parameters

domain
required
string

Name of your domain name

Response

200Servicesuccessful operation
canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Example uses domain = string

$ curl https://api.eu.ovhcloud.com/1.0/email/domain/{domain}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}

Update service informationProduction

PUT
/1.0/email/domain/{domain}/serviceInfos

Update service information. Updates the renewal settings of the service: automatic renewal, period, or deletion at expiration.

Path parameters

domain
required
string

Name of your domain name

Request body (required)

canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Response

200—successful operation

Example uses domain = string

$ curl https://api.eu.ovhcloud.com/1.0/email/domain/{domain}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"

Get the summaryProduction

GET
/1.0/email/domain/{domain}/summary

Get the summary. Returns the number of email accounts, mailing lists, redirections and responders of the email domain.

Path parameters

domain
required
string

Name of your domain name

Response

200DomainSummarysuccessful operation
account
integer

Number of mailboxes

mailingList
integer

Number of mailing lists

redirection
integer

Number of redirections

responder
integer

Number of responders

Example uses domain = string

$ curl https://api.eu.ovhcloud.com/1.0/email/domain/{domain}/summary \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "account": 0, "mailingList": 0, "redirection": 0, "responder": 0}

Request service terminationProduction

POST
/1.0/email/domain/{domain}/terminate

Request service termination. Starts the termination of the email service, to confirm with the confirmTermination call.

Path parameters

domain
required
string

Name of your domain name

Response

200stringsuccessful operation

Example uses domain = string

$ curl https://api.eu.ovhcloud.com/1.0/email/domain/{domain}/terminate \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"